# Fiddler LangGraph SDK

- [Introduction](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/langgraph.md): Complete API reference for fiddler-langgraph
- [Instrumentation](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation.md)
- [add\_session\_attributes](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/add-session-attributes.md): Add a session-level attribute that appears on all spans in the current context.
- [add\_span\_attributes](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/add-span-attributes.md): Add custom span-level attributes to a specific LangChain component's metadata.
- [clear\_llm\_context](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/clear-llm-context.md): Remove LLM context from a language model instance.
- [LangGraphInstrumentor](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/lang-graph-instrumentor.md): An OpenTelemetry instrumentor for LangGraph applications.
- [set\_conversation\_id](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/set-conversation-id.md): Set the conversation ID for the current execution context.
- [set\_llm\_context](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/instrumentation/set-llm-context.md): Set or clear additional context information on a language model instance.
- [Re Exported From Otel](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel.md)
- [FiddlerChain](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/fiddler-chain.md): Wrapper for chain/workflow spans with semantic convention helpers.
- [FiddlerClient](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/fiddler-client.md): The main client for instrumenting Generative AI applications with Fiddler observability.
- [FiddlerGeneration](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/fiddler-generation.md): Wrapper for LLM generation spans with semantic convention helpers.
- [FiddlerSpan](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/fiddler-span.md): Wrapper around OpenTelemetry span with simplified helper methods.
- [FiddlerTool](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/fiddler-tool.md): Wrapper for tool/function call spans with semantic convention helpers.
- [get\_client](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/get-client.md): Return the global FiddlerClient singleton (first created in this process).
- [get\_current\_span](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/get-current-span.md): Get the currently active span as a Fiddler wrapper (inside a traced function).
- [trace](https://docs.fiddler.ai/api/fiddler-langgraph-sdk/re-exported-from-otel/trace.md): Decorator for automatic function tracing with input/output capture.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/fiddler-langgraph-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
